The [GitBook][8] version of this book, for easy online reading, can be found here:
[https://checkmarx.gitbooks.io/go-scp][9]

The book can be downloaded in PDF, Mobi and ePub formats here:
[https://www.gitbook.com/book/checkmarx/go-scp][10]

# Introduction

Go Language - Web Application Secure Coding Practices is a guide written for
anyone who is using the [Go Programming Language][1] and aims to use it for web
development.

This book is collaborative effort of [Checkmarx Security Research Team][2] and
it follows the
[OWASP Secure Coding Practices - Quick Reference Guide v2 (stable)][3] release.

The main goal of this book is to help developers avoid common mistakes while at
the same time, learning a new programming language through a
"hands-on approach".
This book provides a good level of detail on "how to do it securely" showing
what kind of security problems could arise during development.

## About Checkmarx

Checkmarx is an Application Security software company, whose mission is to
provide enterprise organizations with application security testing products
and services that empower developers to deliver secure applications. Amongst
the company's 1,000 customers are five of the world's top 10 software vendors,
four of the top American banks, and many Fortune 500 and government
organizations, including SAP, Samsung and Salesforce.com.

For more information about Checkmarx, visit [http://www.checkmarx.com][2]
or follow us on Twitter: [@checkmarx][7]

## About OWASP Secure Coding Practices

The [Secure Coding Practices Quick Reference Guide][3] is an [OWASP][4] - Open
Web Application Security Project. It is a "_technology agnostic set of
general software security coding practices, in a comprehensive checklist
format, that can be integrated into the development lifecycle_" ([source][3]).

[OWASP][4] itself is "_an open community dedicated to enabling organizations to
conceive, develop, acquire, operate, and maintain applications that can be
trusted. All of the OWASP tools, documents, forums, and chapters are free and
open to anyone interested in improving application security_" ([source][5]).

## How To Contribute

This book was created using a few open source tools.
If you're curious about how we built it from scratch, read the
[How To contribute section][6].

[1]: https://golang.org
[2]: https://www.checkmarx.com
[3]: https://www.owasp.org/index.php/OWASP_Secure_Coding_Practices_-_Quick_Reference_Guide
[4]: https://www.owasp.org
[5]: https://www.owasp.org/index.php/About_OWASP
[6]: docs/howto-contribute.md
[7]: https://www.twitter.com/checkmarx
[8]: https://www.gitbook.com/
[9]: https://checkmarx.gitbooks.io/go-scp/
[10]: https://www.gitbook.com/book/checkmarx/go-scp/
