Summary
=======

* [Introduction](README.md)
* [Input Validation](input-validation/README.md)
    * [Validation](input-validation/validation.md)
    * [Sanitization](input-validation/sanitization.md)
* [Output Encoding](output-encoding/README.md)
    * [XSS - Cross-Site Scripting](output-encoding/cross-site-scripting.md)
    * [SQL Injection](output-encoding/sql-injection.md)
* [Authentication and Password Management](authentication-password-management/README.md)
    * [Communicating authentication data](authentication-password-management/communicating-authentication-data.md)
    * [Validation and Storage](authentication-password-management/validation-and-storage.md)
    * [Password policies](authentication-password-management/password-policies.md)
    * [Other guidelines](authentication-password-management/other-guidelines.md)
* [Session Management](session-management/README.md)
* [Access Control](access-control/README.md)
* [Cryptographic Practices](cryptographic-practices/README.md)
    * [Pseudo-Random Generators](cryptographic-practices/pseudo-random-generators.md)
* [Error Handling and Logging](error-handling-logging/README.md)
    * [Error Handling](error-handling-logging/error-handling.md)
    * [Logging](error-handling-logging/logging.md)
* [Data Protection](data-protection/README.md)
* [Communication Security](communication-security/README.md)
    * [HTTP/TLS](communication-security/http-tls.md)
    * [WebSockets](communication-security/websockets.md)
* [System Configuration](system-configuration/README.md)
* [Database Security](database-security/README.md)
    * [Connections](database-security/connections.md)
    * [Authentication](database-security/authentication.md)
    * [Parameterized Queries](database-security/parameterized-queries.md)
    * [Stored Procedures](database-security/stored-procedures.md)
* [File Management](file-management/README.md)
* [Memory Management](memory-management/README.md)
* [General Coding Practices](general-coding-practices.md)
* [How To Contribute](howto-contribute.md)
